Gentoo Archives: gentoo-user

From: Ian Zimmerman <itz@××××××××××××.org>
To: gentoo-user@l.g.o
Subject: [gentoo-user] scope of user patches via epatch
Date: Sat, 18 Nov 2017 19:10:52
Message-Id: 20171118191035.2fxlx7uzftynbn26@matica.foolinux.mooo.com
Is there any way to make the patches under /etc/portage/patches
applicable to more than a single exact version of each package?  Right
now, every time I emerge -u I have to check if I have patches for a
package on the updated list, and if so make a new subdirectory for the
new version and copy or link the patches there [1].  This is a chore I
could live without.  So my question is if there's any wildcard mechanism
to match multiple versions.

[1] Some fail to apply of course but that's ok, still less work to see
which ones fail than to try checking separately each patch if it applies
or not.

-- 
Please don't Cc: me privately on mailing lists and Usenet,
if you also post the followup to the list or newsgroup.
To reply privately _only_ on Usenet, fetch the TXT record for the domain.

Replies

Subject Author
Re: [gentoo-user] scope of user patches via epatch Dale <rdalek1967@×××××.com>